diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA512.cpp webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA512.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA512.cpp	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA512.cpp	2025-04-04 16:34:42.697523043 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmSHA512.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "ScriptExecutionContext.h"
 #include <pal/crypto/CryptoDigest.h>
 
@@ -46,4 +48,6 @@ void CryptoAlgorithmSHA512::digest(Vecto
     CryptoAlgorithm::dispatchDigest(workQueue, context, WTFMove(callback), WTFMove(exceptionCallback), WTFMove(message), PAL::CryptoDigest::Algorithm::SHA_512);
 }
 
-} // namespace WebCore
+}
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA512.h webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA512.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA512.h	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA512.h	2025-04-04 16:34:42.697803313 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmSHA512 final : public CryptoAlgorithm {
@@ -42,3 +44,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmX25519.cpp webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmX25519.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmX25519.cpp	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmX25519.cpp	2025-04-04 16:34:42.698116476 -0500
@@ -20,6 +20,8 @@
 #include "config.h"
 #include "CryptoAlgorithmX25519.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmEcKeyParams.h"
 #include "CryptoAlgorithmX25519Params.h"
 #include "CryptoKeyOKP.h"
@@ -242,3 +244,5 @@ void CryptoAlgorithmX25519::exportKey(Cr
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmX25519.h webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmX25519.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmX25519.h	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmX25519.h	2025-04-04 16:34:42.698429880 -0500
@@ -21,6 +21,7 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
 namespace WebCore {
 
 class CryptoKeyOKP;
@@ -44,3 +45,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/CommonCryptoUtilities.cpp webkitgtk-2.48.0/Source/WebCore/crypto/CommonCryptoUtilities.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/CommonCryptoUtilities.cpp	2025-02-25 02:25:40.995382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/CommonCryptoUtilities.cpp	2025-04-04 16:34:42.698796784 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CommonCryptoUtilities.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 bool getCommonCryptoDigestAlgorithm(CryptoAlgorithmIdentifier hashFunction, CCDigestAlgorithm& algorithm)
@@ -55,3 +57,5 @@ ALLOW_DEPRECATED_DECLARATIONS_END
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/CommonCryptoUtilities.h webkitgtk-2.48.0/Source/WebCore/crypto/CommonCryptoUtilities.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/CommonCryptoUtilities.h	2025-02-25 02:25:40.995382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/CommonCryptoUtilities.h	2025-04-04 16:34:42.699250904 -0500
@@ -25,6 +25,8 @@
 
 #pragma once
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmIdentifier.h"
 #include <CommonCrypto/CommonCryptor.h>
 #include <CommonCrypto/CommonRandom.h>
@@ -36,3 +38,5 @@ namespace WebCore {
 bool getCommonCryptoDigestAlgorithm(CryptoAlgorithmIdentifier, CCDigestAlgorithm&);
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/CryptoAlgorithm.cpp webkitgtk-2.48.0/Source/WebCore/crypto/CryptoAlgorithm.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/CryptoAlgorithm.cpp	2025-02-25 02:25:40.995382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/CryptoAlgorithm.cpp	2025-04-04 16:34:42.699593112 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "ScriptExecutionContext.h"
 
 namespace WebCore {
@@ -133,4 +135,6 @@ void CryptoAlgorithm::dispatchDigest(Wor
     });
 }
 
-} // namespace WebCore
+}
+
+#endif
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/CryptoAlgorithm.h webkitgtk-2.48.0/Source/WebCore/crypto/CryptoAlgorithm.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/CryptoAlgorithm.h	2025-02-25 02:25:40.995382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/CryptoAlgorithm.h	2025-04-04 16:34:42.700067670 -0500
@@ -39,6 +39,8 @@
 #include <wtf/Vector.h>
 #include <wtf/WorkQueue.h>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmParameters;
@@ -82,3 +84,5 @@ public:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/CryptoAlgorithmParameters.h webkitgtk-2.48.0/Source/WebCore/crypto/CryptoAlgorithmParameters.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/CryptoAlgorithmParameters.h	2025-02-25 02:25:40.995382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/CryptoAlgorithmParameters.h	2025-04-04 16:34:42.700773015 -0500
@@ -29,6 +29,8 @@
 #include <wtf/TypeCasts.h>
 #include <wtf/text/WTFString.h>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmParameters {
@@ -69,3 +71,5 @@ public:
 SPECIALIZE_TYPE_TRAITS_BEGIN(WebCore::CryptoAlgorithm##ToClassName) \
 static bool isType(const WebCore::CryptoAlgorithmParameters& parameters) { return parameters.parametersClass() == WebCore::CryptoAlgorithmParameters::Class::ToClassName; } \
 SPECIALIZE_TYPE_TRAITS_END()
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/CryptoAlgorithmParameters.idl webkitgtk-2.48.0/Source/WebCore/crypto/CryptoAlgorithmParameters.idl
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/CryptoAlgorithmParameters.idl	2025-02-25 02:25:40.995382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/CryptoAlgorithmParameters.idl	2025-04-04 16:34:42.701081299 -0500
@@ -23,6 +23,8 @@
  * THE POSSIBILITY OF SUCH DAMAGE.
  */
 
-dictionary CryptoAlgorithmParameters {
+[
+    Conditional=WEB_CRYPTO,
+] dictionary CryptoAlgorithmParameters {
     required DOMString name;
 };
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/CryptoAlgorithmRegistry.cpp webkitgtk-2.48.0/Source/WebCore/crypto/CryptoAlgorithmRegistry.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/CryptoAlgorithmRegistry.cpp	2025-02-25 02:25:40.995382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/CryptoAlgorithmRegistry.cpp	2025-04-04 16:34:42.701376107 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmRegistry.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithm.h"
 #include <wtf/NeverDestroyed.h>
 
@@ -96,3 +98,5 @@ void CryptoAlgorithmRegistry::registerAl
 
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/CryptoAlgorithmRegistry.h webkitgtk-2.48.0/Source/WebCore/crypto/CryptoAlgorithmRegistry.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/CryptoAlgorithmRegistry.h	2025-02-25 02:25:40.995382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/CryptoAlgorithmRegistry.h	2025-04-04 16:34:42.701410345 -0500
@@ -32,6 +32,8 @@
 #include <wtf/Noncopyable.h>
 #include <wtf/text/StringHash.h>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithm;
@@ -67,3 +69,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/CryptoKey.cpp webkitgtk-2.48.0/Source/WebCore/crypto/CryptoKey.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/CryptoKey.cpp	2025-02-25 02:25:40.995382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/CryptoKey.cpp	2025-04-04 16:34:42.702104696 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoKey.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmRegistry.h"
 #include "CryptoKeyAES.h"
 #include "CryptoKeyEC.h"
@@ -123,3 +125,5 @@ RefPtr<CryptoKey> CryptoKey::create(Cryp
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/CryptoKeyFormat.h webkitgtk-2.48.0/Source/WebCore/crypto/CryptoKeyFormat.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/CryptoKeyFormat.h	2025-02-25 02:25:40.995382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/CryptoKeyFormat.h	2025-04-04 16:34:42.702433188 -0500
@@ -25,13 +25,17 @@
 
 #pragma once
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
-enum class CryptoKeyFormat : uint8_t {
+enum class CryptoKeyFormat {
     Raw,
     Spki,
     Pkcs8,
     Jwk
 };
 
-} // namespace WebCore
+}
+
+#endif
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/CryptoKey.h webkitgtk-2.48.0/Source/WebCore/crypto/CryptoKey.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/CryptoKey.h	2025-02-25 02:25:40.995382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/CryptoKey.h	2025-04-04 16:34:42.702621364 -0500
@@ -25,6 +25,8 @@
 
 #pragma once
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAesKeyAlgorithm.h"
 #include "CryptoEcKeyAlgorithm.h"
 #include "CryptoHmacKeyAlgorithm.h"
@@ -89,3 +91,5 @@ WebCoreOpaqueRoot root(CryptoKey*);
 SPECIALIZE_TYPE_TRAITS_BEGIN(WebCore::ToClassName) \
     static bool isType(const WebCore::CryptoKey& key) { return key.keyClass() == WebCore::KeyClass; } \
 SPECIALIZE_TYPE_TRAITS_END()
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/CryptoKey.idl webkitgtk-2.48.0/Source/WebCore/crypto/CryptoKey.idl
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/CryptoKey.idl	2025-02-25 02:25:40.995382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/CryptoKey.idl	2025-04-04 16:34:42.702919749 -0500
@@ -32,6 +32,7 @@ enum KeyType {
 typedef (CryptoKeyAlgorithm or CryptoAesKeyAlgorithm or CryptoEcKeyAlgorithm or CryptoHmacKeyAlgorithm or CryptoRsaHashedKeyAlgorithm or CryptoRsaKeyAlgorithm) KeyAlgorithm;
 
 [
+    Conditional=WEB_CRYPTO,
     Exposed=(Window,Worker),
     GenerateIsReachable=Impl,
     SecureContext,
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/CryptoKeyPair.h webkitgtk-2.48.0/Source/WebCore/crypto/CryptoKeyPair.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/CryptoKeyPair.h	2025-02-25 02:25:40.995382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/CryptoKeyPair.h	2025-04-04 16:34:42.703106122 -0500
@@ -27,6 +27,8 @@
 
 #include <wtf/RefPtr.h>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoKey;
@@ -37,3 +39,5 @@ struct CryptoKeyPair {
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/CryptoKeyPair.idl webkitgtk-2.48.0/Source/WebCore/crypto/CryptoKeyPair.idl
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/CryptoKeyPair.idl	2025-02-25 02:25:40.995382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/CryptoKeyPair.idl	2025-04-04 16:34:42.703311080 -0500
@@ -24,6 +24,7 @@
  */
 
 [
+    Conditional=WEB_CRYPTO,
     JSGenerateToJSObject
 ] dictionary CryptoKeyPair {
     CryptoKey publicKey;
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/CryptoKeyUsage.idl webkitgtk-2.48.0/Source/WebCore/crypto/CryptoKeyUsage.idl
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/CryptoKeyUsage.idl	2025-02-25 02:25:40.995382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/CryptoKeyUsage.idl	2025-04-04 16:34:42.704066650 -0500
@@ -23,7 +23,9 @@
  * THE POSSIBILITY OF SUCH DAMAGE.
  */
 
-enum CryptoKeyUsage {
+[
+    Conditional=WEB_CRYPTO,
+] enum CryptoKeyUsage {
     "encrypt",
     "decrypt",
     "sign",
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/gcrypt/CryptoAlgorithmECDHGCrypt.cpp webkitgtk-2.48.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmECDHGCrypt.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/gcrypt/CryptoAlgorithmECDHGCrypt.cpp	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmECDHGCrypt.cpp	2025-04-04 16:34:42.704499620 -0500
@@ -28,6 +28,8 @@
 #include "config.h"
 #include "CryptoAlgorithmECDH.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoKeyEC.h"
 #include "GCryptUtilities.h"
 #include <pal/crypto/gcrypt/Handle.h>
@@ -104,3 +106,5 @@ std::optional<Vector<uint8_t>> CryptoAlg
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/gcrypt/CryptoAlgorithmECDSAGCrypt.cpp webkitgtk-2.48.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmECDSAGCrypt.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/gcrypt/CryptoAlgorithmECDSAGCrypt.cpp	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmECDSAGCrypt.cpp	2025-04-04 16:34:42.705098293 -0500
@@ -28,6 +28,8 @@
 #include "config.h"
 #include "CryptoAlgorithmECDSA.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmEcdsaParams.h"
 #include "CryptoKeyEC.h"
 #include "GCryptUtilities.h"
@@ -185,3 +187,5 @@ ExceptionOr<bool> CryptoAlgorithmECDSA::
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/gcrypt/CryptoAlgorithmEd25519GCrypt.cpp webkitgtk-2.48.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmEd25519GCrypt.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/gcrypt/CryptoAlgorithmEd25519GCrypt.cpp	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmEd25519GCrypt.cpp	2025-04-04 16:34:42.705599792 -0500
@@ -20,6 +20,8 @@
 #include "config.h"
 #include "CryptoAlgorithmEd25519.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoKeyOKP.h"
 #include "GCryptUtilities.h"
 
@@ -153,4 +155,5 @@ ExceptionOr<bool> CryptoAlgorithmEd25519
     return verifyEd25519(key.platformKey(), key.keySizeInBytes(), signature, data);
 }
 
-} // namespace WebCore
+}
+#endif
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/gcrypt/CryptoAlgorithmHKDFGCrypt.cpp webkitgtk-2.48.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmHKDFGCrypt.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/gcrypt/CryptoAlgorithmHKDFGCrypt.cpp	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmHKDFGCrypt.cpp	2025-04-04 16:34:42.706068420 -0500
@@ -28,6 +28,8 @@
 #include "config.h"
 #include "CryptoAlgorithmHKDF.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmHkdfParams.h"
 #include "CryptoKeyRaw.h"
 #include "GCryptUtilities.h"
@@ -159,3 +161,5 @@ ExceptionOr<Vector<uint8_t>> CryptoAlgor
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/gcrypt/CryptoAlgorithmHMACGCrypt.cpp webkitgtk-2.48.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmHMACGCrypt.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/gcrypt/CryptoAlgorithmHMACGCrypt.cpp	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmHMACGCrypt.cpp	2025-04-04 16:34:42.706519864 -0500
@@ -29,6 +29,8 @@
 #include "config.h"
 #include "CryptoAlgorithmHMAC.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoKeyHMAC.h"
 #include <pal/crypto/gcrypt/Handle.h>
 #include <wtf/CryptographicUtilities.h>
@@ -106,4 +108,6 @@ ExceptionOr<bool> CryptoAlgorithmHMAC::p
     return signature.size() == expectedSignature->size() && !constantTimeMemcmp(expectedSignature->span(), signature.span());
 }
 
-} // namespace WebCore
+}
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/gcrypt/CryptoAlgorithmPBKDF2GCrypt.cpp webkitgtk-2.48.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmPBKDF2GCrypt.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/gcrypt/CryptoAlgorithmPBKDF2GCrypt.cpp	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmPBKDF2GCrypt.cpp	2025-04-04 16:34:42.706916495 -0500
@@ -28,6 +28,8 @@
 #include "config.h"
 #include "CryptoAlgorithmPBKDF2.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmPbkdf2Params.h"
 #include "CryptoKeyRaw.h"
 #include "GCryptUtilities.h"
@@ -64,3 +66,5 @@ ExceptionOr<Vector<uint8_t>> CryptoAlgor
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/gcrypt/CryptoAlgorithmRegistryGCrypt.cpp webkitgtk-2.48.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmRegistryGCrypt.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/gcrypt/CryptoAlgorithmRegistryGCrypt.cpp	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmRegistryGCrypt.cpp	2025-04-04 16:34:42.707275284 -0500
@@ -26,6 +26,7 @@
 #include "config.h"
 #include "CryptoAlgorithmRegistry.h"
 
+#if ENABLE(WEB_CRYPTO)
 #include "CryptoAlgorithmAESCBC.h"
 #include "CryptoAlgorithmAESCTR.h"
 #include "CryptoAlgorithmAESGCM.h"
@@ -69,4 +70,6 @@ void CryptoAlgorithmRegistry::platformRe
     registerAlgorithm<CryptoAlgorithmX25519>();
 }
 
-} // namespace WebCore
+}
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/gcrypt/CryptoAlgorithmRSA_OAEPGCrypt.cpp webkitgtk-2.48.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmRSA_OAEPGCrypt.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/gcrypt/CryptoAlgorithmRSA_OAEPGCrypt.cpp	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmRSA_OAEPGCrypt.cpp	2025-04-04 16:34:42.707721138 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmRSA_OAEP.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmRsaOaepParams.h"
 #include "CryptoKeyRSA.h"
 #include "GCryptUtilities.h"
@@ -126,3 +128,5 @@ ExceptionOr<Vector<uint8_t>> CryptoAlgor
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/gcrypt/CryptoAlgorithmRSA_PSSGCrypt.cpp webkitgtk-2.48.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmRSA_PSSGCrypt.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/gcrypt/CryptoAlgorithmRSA_PSSGCrypt.cpp	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmRSA_PSSGCrypt.cpp	2025-04-04 16:34:42.708183704 -0500
@@ -28,6 +28,8 @@
 #include "config.h"
 #include "CryptoAlgorithmRSA_PSS.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmRsaPssParams.h"
 #include "CryptoKeyRSA.h"
 #include "GCryptUtilities.h"
@@ -152,3 +154,5 @@ ExceptionOr<bool> CryptoAlgorithmRSA_PSS
 
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/gcrypt/CryptoAlgorithmRSASSA_PKCS1_v1_5GCrypt.cpp webkitgtk-2.48.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmRSASSA_PKCS1_v1_5GCrypt.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/gcrypt/CryptoAlgorithmRSASSA_PKCS1_v1_5GCrypt.cpp	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmRSASSA_PKCS1_v1_5GCrypt.cpp	2025-04-04 16:34:42.708656629 -0500
@@ -27,6 +27,8 @@
 #include "config.h"
 #include "CryptoAlgorithmRSASSA_PKCS1_v1_5.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoKeyRSA.h"
 #include "GCryptUtilities.h"
 #include "NotImplemented.h"
@@ -150,3 +152,5 @@ ExceptionOr<bool> CryptoAlgorithmRSASSA_
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/gcrypt/CryptoAlgorithmX25519GCrypt.cpp webkitgtk-2.48.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmX25519GCrypt.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/gcrypt/CryptoAlgorithmX25519GCrypt.cpp	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/gcrypt/CryptoAlgorithmX25519GCrypt.cpp	2025-04-04 16:34:42.709002003 -0500
@@ -20,6 +20,8 @@
 #include "config.h"
 #include "CryptoAlgorithmX25519.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoKeyOKP.h"
 #include "GCryptRFC7748.h"
 #include <pal/crypto/gcrypt/Handle.h>
@@ -38,3 +40,6 @@ std::optional<Vector<uint8_t>> CryptoAlg
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
+
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/gcrypt/CryptoKeyECGCrypt.cpp webkitgtk-2.48.0/Source/WebCore/crypto/gcrypt/CryptoKeyECGCrypt.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/gcrypt/CryptoKeyECGCrypt.cpp	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/gcrypt/CryptoKeyECGCrypt.cpp	2025-04-04 16:34:42.709440182 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoKeyEC.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoKeyPair.h"
 #include "GCryptUtilities.h"
 #include "JsonWebKey.h"
@@ -726,3 +728,5 @@ Vector<uint8_t> CryptoKeyEC::platformExp
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/gcrypt/CryptoKeyOKPGCrypt.cpp webkitgtk-2.48.0/Source/WebCore/crypto/gcrypt/CryptoKeyOKPGCrypt.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/gcrypt/CryptoKeyOKPGCrypt.cpp	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/gcrypt/CryptoKeyOKPGCrypt.cpp	2025-04-04 16:34:42.709976958 -0500
@@ -20,6 +20,8 @@
 #include "config.h"
 #include "CryptoKeyOKP.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoKeyPair.h"
 #include "GCryptRFC7748.h"
 #include "GCryptRFC8032.h"
@@ -512,3 +514,5 @@ Vector<uint8_t> CryptoKeyOKP::platformEx
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/gcrypt/CryptoKeyRSAGCrypt.cpp webkitgtk-2.48.0/Source/WebCore/crypto/gcrypt/CryptoKeyRSAGCrypt.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/gcrypt/CryptoKeyRSAGCrypt.cpp	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/gcrypt/CryptoKeyRSAGCrypt.cpp	2025-04-04 16:34:42.710521389 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoKeyRSA.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmRegistry.h"
 #include "CryptoKeyPair.h"
 #include "CryptoKeyRSAComponents.h"
@@ -710,3 +712,5 @@ std::unique_ptr<CryptoKeyRSAComponents>
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/gcrypt/SerializedCryptoKeyWrapGCrypt.cpp webkitgtk-2.48.0/Source/WebCore/crypto/gcrypt/SerializedCryptoKeyWrapGCrypt.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/gcrypt/SerializedCryptoKeyWrapGCrypt.cpp	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/gcrypt/SerializedCryptoKeyWrapGCrypt.cpp	2025-04-04 16:34:42.710958577 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "SerializedCryptoKeyWrap.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "NotImplemented.h"
 #include "WrappedCryptoKey.h"
 
@@ -64,4 +66,6 @@ std::optional<Vector<uint8_t>> unwrapCry
     return wrappedKey.encryptedKey;
 }
 
-} // namespace WebCore
+}
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/JsonWebKey.idl webkitgtk-2.48.0/Source/WebCore/crypto/JsonWebKey.idl
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/JsonWebKey.idl	2025-02-25 02:25:40.995382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/JsonWebKey.idl	2025-04-04 16:34:42.711702756 -0500
@@ -24,6 +24,7 @@
  */
 
 [
+    Conditional=WEB_CRYPTO,
     JSGenerateToJSObject,
     JSGenerateToNativeObject
 ] dictionary JsonWebKey {
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoAesKeyAlgorithm.idl webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoAesKeyAlgorithm.idl
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoAesKeyAlgorithm.idl	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoAesKeyAlgorithm.idl	2025-04-04 16:34:42.711975782 -0500
@@ -24,6 +24,7 @@
  */
 
 [
+    Conditional=WEB_CRYPTO,
     JSGenerateToJSObject
 ] dictionary CryptoAesKeyAlgorithm : CryptoKeyAlgorithm {
     // The length, in bits, of the key.
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoEcKeyAlgorithm.idl webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoEcKeyAlgorithm.idl
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoEcKeyAlgorithm.idl	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoEcKeyAlgorithm.idl	2025-04-04 16:34:42.712199816 -0500
@@ -26,6 +26,7 @@
 typedef DOMString NamedCurve;
 
 [
+    Conditional=WEB_CRYPTO,
     JSGenerateToJSObject
 ] dictionary CryptoEcKeyAlgorithm : CryptoKeyAlgorithm {
     // The named curve that the key uses
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoHmacKeyAlgorithm.idl webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoHmacKeyAlgorithm.idl
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoHmacKeyAlgorithm.idl	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoHmacKeyAlgorithm.idl	2025-04-04 16:34:42.712411808 -0500
@@ -24,6 +24,7 @@
  */
 
 [
+    Conditional=WEB_CRYPTO,
     JSGenerateToJSObject
 ] dictionary CryptoHmacKeyAlgorithm : CryptoKeyAlgorithm {
     // The inner hash function to use.
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoKeyAES.cpp webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoKeyAES.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoKeyAES.cpp	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoKeyAES.cpp	2025-04-04 16:34:42.712689203 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoKeyAES.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAesKeyAlgorithm.h"
 #include "CryptoAlgorithmAesKeyParams.h"
 #include "CryptoAlgorithmRegistry.h"
@@ -141,3 +143,5 @@ CryptoKey::Data CryptoKeyAES::data() con
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoKeyAES.h webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoKeyAES.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoKeyAES.h	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoKeyAES.h	2025-04-04 16:34:42.713125779 -0500
@@ -31,6 +31,8 @@
 #include <wtf/Function.h>
 #include <wtf/Vector.h>
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmParameters;
@@ -76,3 +78,5 @@ private:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_KEY(CryptoKeyAES, CryptoKeyClass::AES)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoKeyAlgorithm.idl webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoKeyAlgorithm.idl
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoKeyAlgorithm.idl	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoKeyAlgorithm.idl	2025-04-04 16:34:42.713437179 -0500
@@ -24,6 +24,7 @@
  */
 
 [
+    Conditional=WEB_CRYPTO,
     JSGenerateToJSObject
 ] dictionary CryptoKeyAlgorithm {
     required DOMString name;
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoKeyEC.cpp webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoKeyEC.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoKeyEC.cpp	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoKeyEC.cpp	2025-04-04 16:34:42.713762735 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoKeyEC.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmRegistry.h"
 #include "JsonWebKey.h"
 #if HAVE(SWIFT_CPP_INTEROP)
@@ -253,3 +255,5 @@ CryptoKey::Data CryptoKeyEC::data() cons
 
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoKeyEC.h webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoKeyEC.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoKeyEC.h	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoKeyEC.h	2025-04-04 16:34:42.714189623 -0500
@@ -29,6 +29,8 @@
 #include "CryptoKeyPair.h"
 #include "ExceptionOr.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #if OS(DARWIN) && !PLATFORM(GTK)
 #include "CommonCryptoUtilities.h"
 #if HAVE(SWIFT_CPP_INTEROP)
@@ -126,3 +128,5 @@ private:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_KEY(CryptoKeyEC, CryptoKeyClass::EC)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoKeyHMAC.cpp webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoKeyHMAC.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoKeyHMAC.cpp	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoKeyHMAC.cpp	2025-04-04 16:34:42.714586454 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoKeyHMAC.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmHmacKeyParams.h"
 #include "CryptoAlgorithmRegistry.h"
 #include "ExceptionOr.h"
@@ -164,3 +166,5 @@ CryptoKey::Data CryptoKeyHMAC::data() co
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoKeyHMAC.h webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoKeyHMAC.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoKeyHMAC.h	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoKeyHMAC.h	2025-04-04 16:34:42.715033090 -0500
@@ -25,6 +25,8 @@
 
 #pragma once
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoKey.h"
 #include "ExceptionOr.h"
 #include <wtf/Function.h>
@@ -71,3 +73,5 @@ private:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_KEY(CryptoKeyHMAC, CryptoKeyClass::HMAC)
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoKeyOKP.cpp webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoKeyOKP.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoKeyOKP.cpp	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoKeyOKP.cpp	2025-04-04 16:34:42.715439379 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoKeyOKP.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmRegistry.h"
 #include "JsonWebKey.h"
 #include <wtf/text/Base64.h>
@@ -287,3 +289,5 @@ Vector<uint8_t> CryptoKeyOKP::platformEx
 #endif
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoKeyOKP.h webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoKeyOKP.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/keys/CryptoKeyOKP.h	2025-02-25 02:25:41.003382200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/keys/CryptoKeyOKP.h	2025-04-04 16:34:42.715868792 -0500
@@ -29,6 +29,8 @@
 #include "CryptoKeyPair.h"
 #include "ExceptionOr.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 struct JsonWebKey;
@@ -89,3 +91,5 @@ private:
 } // namespace WebCore
 
 SPECIALIZE_TYPE_TRAITS_CRYPTO_KEY(CryptoKeyOKP, CryptoKeyClass::OKP)
+
+#endif // ENABLE(WEB_CRYPTO)
